package com.energy.manage.service.controller.wavedatatransfer;

import com.energy.manage.common.base.Page;
import com.energy.manage.common.po.wavedatatransfer.WaveDataTransferPo;
import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.domain.dto.wavedatatransfer.WaveDatatransferDto;
import com.energy.manage.service.domain.vo.wavedatatransfer.WaveDatatransferVo;
import com.energy.manage.service.service.wavedatatransfer.WaveDatatransferServce;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author chy
 * @date 2024/11/7 16:08
 * @desc
 */
@Api(value = "WaveDatatransferController", tags = "振动数据转换")
@RestController
@RequestMapping("/waveDataTransfer")
public class WaveDatatransferController extends BaseServiceController {

    @Autowired
    private WaveDatatransferServce waveDatatransferServce;


    @ApiOperation(value = "振动数据转换查询列表")
    @GetMapping("/queryDataTransfer")
    public ResultResp<Page<WaveDatatransferVo>> queryDataTransfer(WaveDatatransferDto waveDatatransferDto) {
        return pageResult(waveDatatransferServce.queryDataTransfer(waveDatatransferDto), waveDatatransferDto);
    }

    @ApiOperation(value = "新增振动数据转换查重")
    @GetMapping("/beforAddDataTransferQuery")
    public ResultResp beforAddDataTransferQuery(WaveDatatransferDto waveDatatransferDto) {
        return success(waveDatatransferServce.beforAddDataTransferQuery(waveDatatransferDto));
    }

    @ApiOperation(value = "新增振动数据转换")
    @PostMapping("/addDataTransfer")
    public ResultResp addDataTransfer(@RequestBody WaveDataTransferPo waveDatatransferPo) {
        return success(waveDatatransferServce.addDataTransfer(waveDatatransferPo));
    }

//    @ApiOperation(value = "重新转换")
    @PostMapping("/dataTransfer")
    public ResultResp dataTransfer(@RequestBody WaveDatatransferDto waveDatatransferDto) {
        return success(waveDatatransferServce.dataTransfer(waveDatatransferDto));
    }
}
