package com.energy.manage.service.domain.dto.wavedatatransfer;

import com.energy.manage.service.domain.dto.BaseDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author chy
 * @date 2024/11/7 16:12
 * @desc
 */
@Data
@Accessors(chain = true)
public class WaveDatatransferDto extends BaseDto {

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;

    /**
     * 风场名称
     */
    @ApiModelProperty("风场名称")
    private String fieldName;

    /**
     * 转换地址
     */
    @ApiModelProperty("转换地址")
    private String transferAddr;

    /**
     * 转换状态 -1：未转换（默认状态）0：转换中 1转换完成 2：转换异常
     */
    @ApiModelProperty("转换状态")
    private Byte trasferStatus;

    /**
     * 转换开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date transferStartTime;

    /**
     * 转换结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date transferFinishTime;

}
