package com.energy.manage.service.service.wavedatatransfer.impl;

import com.energy.manage.common.po.wavedatatransfer.WaveDataTransferPo;
import com.energy.manage.service.domain.dto.wavedatatransfer.WaveDatatransferDto;
import com.energy.manage.service.domain.vo.wavedatatransfer.WaveDatatransferVo;
import com.energy.manage.service.mappers.wavedatatransfer.WaveDataTransferMapper;
import com.energy.manage.service.service.wavedatatransfer.WaveDatatransferServce;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chy
 * @date 2024/11/7 16:23
 * @desc
 */
@Service
public class WaveDatatransferServceImpl implements WaveDatatransferServce {

    @Autowired
    private WaveDataTransferMapper waveDataTransferMapper;

    /**
     * 查询数据转换列表
     * @param waveDatatransferDto
     * @return
     */
    @Override
    public List<WaveDatatransferVo> queryDataTransfer( WaveDatatransferDto waveDatatransferDto) {
        PageHelper.startPage(waveDatatransferDto.getPageNum(), waveDatatransferDto.getPageSize());
        return waveDataTransferMapper.selectByCondition(waveDatatransferDto);
    }

    /**
     * 新增之前查重
     * @param waveDatatransferPo
     * @return
     */
    @Override
    public Boolean beforAddDataTransferQuery(WaveDatatransferDto waveDatatransferDto) {
        return false;
    }

    /**
     * 新增/覆盖数据转换
     * @param waveDatatransferPo
     * @return
     */
    @Override
    public int addDataTransfer(WaveDataTransferPo waveDatatransferPo){
        return waveDataTransferMapper.insertSelective(waveDatatransferPo);
    }

    /**
     * 数据转换、重新转换
     * @param waveDatatransferDto
     * @return
     */
    @Override
    public int dataTransfer(WaveDatatransferDto waveDatatransferDto) {
        return 0;
    }

}
